#!/usr/bin/bash

check() {
    require_binaries dnsconfd || return 1
    # the module will be only included if explicitly required
    return 255
}

depends() {
    # because of pid file we need sysusers to create unbound user
    echo dbus systemd unbound systemd-sysusers
    return 0
}

install() {
    inst_simple "$moddir/dnsconfd_sysinit.conf" /etc/systemd/system/dnsconfd.service.d/
    inst_simple "$moddir/dnsconfd_unbound_setup.service" /usr/lib/systemd/system/dnsconfd_unbound_setup.service
    inst_simple "$moddir/unbound_dnsconfd_dependency.conf" /etc/systemd/system/unbound.service.d/unbound_dnsconfd_dependency.conf
    inst_simple "$moddir/dnsconfd_unbound_setup.sh" /usr/bin/dnsconfd_unbound_setup

    for file in $(rpm -ql dnsconfd); do
            inst_simple $file
    done
    for file in $(rpm -ql dnsconfd-unbound); do
            inst_simple $file
    done
    # removing pycache saves us 8Mb of initramfs size
    # the biggest thing here is the libpython library
    for file in $(rpm -ql python3-libs | grep /usr/lib | grep -v __pycache__); do
            inst_simple $file
    done
    for file in $(rpm -ql python3-dbus | grep site-packages); do
            inst_simple $file
    done
    for file in $(rpm -ql python3-gobject-base | grep site-packages); do
            inst_simple $file
    done
    for file in $(rpm -ql glib2 | grep /usr/lib); do
            inst_simple $file
    done
    echo "HANDLE_SERVICE=0" >> "${initdir}"/etc/sysconfig/dnsconfd

    $SYSTEMCTL -q --root "$initdir" enable dnsconfd.service
    $SYSTEMCTL -q --root "$initdir" enable dnsconfd_unbound_setup.service
}
